ros-foxy-rmw-fastrtps-shared-cpp (1.3.2-1focal) focal; urgency=high

  * Take all available samples on service/client on_data_available. (backport #616 <https://github.com/ros2/rmw_fastrtps/issues/616>) (#623 <https://github.com/ros2/rmw_fastrtps/issues/623>)
  * Contributors: Miguel Company, Tomoya Fujita

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.3.1-1focal) focal; urgency=high

  * Handle exception on deserializing ROS message (#603 <https://github.com/ros2/rmw_fastrtps/issues/603>)
  * Contributors: Erki Suurjaak, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.3.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.2.6-1focal) focal; urgency=high

  * Remove unnecessary includes (#524 <https://github.com/ros2/rmw_fastrtps/issues/524>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 31 Aug 2021 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.2.5-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#521 <https://github.com/eProsima/rmw_fastrtps/issues/521>)
  * Use interface whitelist for localhost only (#476 <https://github.com/eProsima/rmw_fastrtps/issues/476>)
  * Avoid unused identifier variable warnings (#422 <https://github.com/eProsima/rmw_fastrtps/issues/422>) (#494 <https://github.com/eProsima/rmw_fastrtps/issues/494>)
  * Contributors: Jacob Perron, Michel Hidalgo, Miguel Company, Simon Honigmann, Tomoya Fujita

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.2.4-1focal) focal; urgency=high

  * Make sure to lock the mutex protecting client_endpoints_ (#492 <https://github.com/ros2/rmw_fastrtps/issues/492>) (#493 <https://github.com/ros2/rmw_fastrtps/issues/493>)
  * Discriminate when the Client has gone from when the Client has not completely matched (#479 <https://github.com/ros2/rmw_fastrtps/issues/479>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.2.3-1focal) focal; urgency=high

  * Remove unused headers MessageTypeSupport.hpp and ServiceTypeSupport.hpp (#481 <https://github.com/ros2/rmw_fastrtps/issues/481>) (#482 <https://github.com/ros2/rmw_fastrtps/issues/482>)
  * Update maintainer list for Foxy (#474 <https://github.com/ros2/rmw_fastrtps/issues/474>)
  * Updated QD
  * Provide external dependencies QD links
  * Update Quality Declarations to QL3 (#404 <https://github.com/ros2/rmw_fastrtps/issues/404>)
  * Contributors: Alejandro Hernández Cordero, JLBuenoLopez-eProsima, Jacob Perron, Michael Jeronimo, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Nov 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.2.2-1focal) focal; urgency=high

  * Set context actual domain id (#410 <https://github.com/ros2/rmw_fastrtps/issues/410>)
  * Improve __rmw_create_wait_set() implementation. (#427 <https://github.com/ros2/rmw_fastrtps/issues/427>)
    Handle errors consistently.
  * Add tests for RMW QoS to DDS attribute conversion. (#449 <https://github.com/ros2/rmw_fastrtps/issues/449>)
  * checked client implementation and return RMW_RET_INCORRECT_RMW_IMPLEMENTATION (#451 <https://github.com/ros2/rmw_fastrtps/issues/451>)
  * Update service/client request/response API error returns (#450 <https://github.com/ros2/rmw_fastrtps/issues/450>)
  * Updated rmw_* return codes (#443 <https://github.com/ros2/rmw_fastrtps/issues/443>)
  * Make service/client construction/destruction implementation compliant (#445 <https://github.com/ros2/rmw_fastrtps/issues/445>)
  * Added rmw_logging tests (#442 <https://github.com/ros2/rmw_fastrtps/issues/442>)
  * Update gid API return codes. (#440 <https://github.com/ros2/rmw_fastrtps/issues/440>)
  * Update graph API return codes. (#436 <https://github.com/ros2/rmw_fastrtps/issues/436>)
  * Updated error returns on rmw_take_serialized and with_message_info  (#435 <https://github.com/ros2/rmw_fastrtps/issues/435>)
  * Updated error returns on rmw_take (#432 <https://github.com/ros2/rmw_fastrtps/issues/432>)
  * Update rmw_publish error returns (#430 <https://github.com/ros2/rmw_fastrtps/issues/430>)
  * Update rmw_publish_serialized_message() error returns (#431 <https://github.com/ros2/rmw_fastrtps/issues/431>)
  * Ensure compliant publisher QoS queries. (#425 <https://github.com/ros2/rmw_fastrtps/issues/425>)
    Follow-up after 8fc9ca3d98a64118590a205b2162559e17309a27.
  * Ensure compliant matched pub/sub count API. (#424 <https://github.com/ros2/rmw_fastrtps/issues/424>)
  * Ensure compliant subscription API. (#419 <https://github.com/ros2/rmw_fastrtps/issues/419>)
  * Ensure compliant publisher API. (#414 <https://github.com/ros2/rmw_fastrtps/issues/414>)
  * Ensure compliant init options API implementations. (#399 <https://github.com/ros2/rmw_fastrtps/issues/399>)
  * Finalize context iff shutdown. (#396 <https://github.com/ros2/rmw_fastrtps/issues/396>)
  * Ensure compliant node construction/destruction API. (#408 <https://github.com/ros2/rmw_fastrtps/issues/408>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Jose Tomas Lorente, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 15 Oct 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.2.1-1focal) focal; urgency=high

  * Fix memory leak that wait_set might be not destoryed in some case (#423 <https://github.com/ros2/rmw_fastrtps/issues/423>) (#426 <https://github.com/ros2/rmw_fastrtps/issues/426>)
  * Use package path to TypeSupport.hpp headers in ServiceTypeSupport and MessageTypeSupport (#415 <https://github.com/ros2/rmw_fastrtps/issues/415>) (#420 <https://github.com/ros2/rmw_fastrtps/issues/420>)
  * Fix trying to get topic data that was already removed (#421 <https://github.com/ros2/rmw_fastrtps/issues/421>)
  * Contributors: Chen Lihui, Dirk Thomas, Jose Luis Rivero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.2.0-1focal) focal; urgency=high

  * Add missing thread-safety annotation in ServicePubListener (#409 <https://github.com/ros2/rmw_fastrtps/issues/409>) (#413 <https://github.com/ros2/rmw_fastrtps/issues/413>)
  * Make service wait for response reader (#390 <https://github.com/ros2/rmw_fastrtps/issues/390>) (#412 <https://github.com/ros2/rmw_fastrtps/issues/412>)
  * Contributors: Michel Hidalgo, Miguel Company

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 21 Jul 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.0.2-1focal) focal; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID (#394 <https://github.com/ros2/rmw_fastrtps/issues/394>) (#398 <https://github.com/ros2/rmw_fastrtps/issues/398>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.0.1-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#389 <https://github.com/ros2/rmw_fastrtps/issues/389>)
  * Do not compile assert death tests in Release builds (#393 <https://github.com/ros2/rmw_fastrtps/issues/393>)
  * Add test coverage for name mangling and namespacing-specific API (#388 <https://github.com/ros2/rmw_fastrtps/issues/388>)
  * Add test coverage for GUID utilities (#387 <https://github.com/ros2/rmw_fastrtps/issues/387>)
  * Drop unused TopicCache sources (#386 <https://github.com/ros2/rmw_fastrtps/issues/386>)
  * Add test coverage for rmw_init_options API (#385 <https://github.com/ros2/rmw_fastrtps/issues/385>)
  * Update QDs for 1.0 (#383 <https://github.com/ros2/rmw_fastrtps/issues/383>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Stephen Brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (1.0.0-1focal) focal; urgency=high

  * Remove API related to manual by node liveliness. (#379 <https://github.com/ros2/rmw_fastrtps/issues/379>)
  * Update quality declarations on feature testing. (#380 <https://github.com/ros2/rmw_fastrtps/issues/380>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.9.1-1focal) focal; urgency=high

  * Fill service_info timestamps from sample_info (#378 <https://github.com/ros2/rmw_fastrtps/issues/378>)
  * Fix unused variabled warning (#377 <https://github.com/ros2/rmw_fastrtps/issues/377>)
  * Add basic support for security logging plugin (#362 <https://github.com/ros2/rmw_fastrtps/issues/362>)
  * Add package READMEs and QUALITY_DECLARATION files (#375 <https://github.com/ros2/rmw_fastrtps/issues/375>)
  * Added doxyfiles (#372 <https://github.com/ros2/rmw_fastrtps/issues/372>)
  * Contributors: Alejandro Hernández Cordero, Ingo Lütkebohle, Jacob Perron, Kyle Fazzari, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.9.0-1focal) focal; urgency=high

  * Feature/services timestamps. (#369 <https://github.com/ros2/rmw_fastrtps/issues/369>)
  * Add support for taking a sequence of messages. (#366 <https://github.com/ros2/rmw_fastrtps/issues/366>)
  * Fill message_info timestamp. (#368 <https://github.com/ros2/rmw_fastrtps/issues/368>)
  * Export targets in a addition to include directories / libraries. (#371 <https://github.com/ros2/rmw_fastrtps/issues/371>)
  * Support for API break on Fast RTPS 2.0. (#370 <https://github.com/ros2/rmw_fastrtps/issues/370>)
  * security-context -> enclave. (#365 <https://github.com/ros2/rmw_fastrtps/issues/365>)
  * Switch to one Participant per Context. (#312 <https://github.com/ros2/rmw_fastrtps/issues/312>)
  * Correct error message when event is not supported. (#358 <https://github.com/ros2/rmw_fastrtps/issues/358>)
  * Add rmw_*_event_init() functions. (#354 <https://github.com/ros2/rmw_fastrtps/issues/354>)
  * Fixing type support C/CPP mix on rmw_fastrtps_dynamic_cpp. (#350 <https://github.com/ros2/rmw_fastrtps/issues/350>)
  * Fix build warning in Ubuntu Focal. (#346 <https://github.com/ros2/rmw_fastrtps/issues/346>)
  * Change rmw_topic_endpoint_info_array.count to .size. (#348 <https://github.com/ros2/rmw_fastrtps/issues/348>)
  * Code style only: wrap after open parenthesis if not in one line. (#347 <https://github.com/ros2/rmw_fastrtps/issues/347>)
  * Fix unprotected use of mutex-guarded variable. (#345 <https://github.com/ros2/rmw_fastrtps/issues/345>)
  * Passing down type support information (#342 <https://github.com/ros2/rmw_fastrtps/issues/342>)
  * Implement functions to get publisher and subcription informations like QoS policies from topic name. (#336 <https://github.com/ros2/rmw_fastrtps/issues/336>)
  * Contributors: Dirk Thomas, Emerson Knapp, Ingo Lütkebohle, Ivan Santiago Paunovic, Jaison Titus, Miaofei Mei, Michael Carroll, Miguel Company, Mikael Arguedas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.8.1-1focal) focal; urgency=high

  * Restrict traffic to localhost only if env var is provided (#331 <https://github.com/ros2/rmw_fastrtps/issues/331>)
  * Added new functions which can be used to get rmw_qos_profile_t from WriterQos and ReaderQos (#328 <https://github.com/ros2/rmw_fastrtps/issues/328>)
  * Renamed dds_qos_to_rmw_qos to dds_attributes_to_rmw_qos (#330 <https://github.com/ros2/rmw_fastrtps/issues/330>)
  * Contributors: Brian Marchi, jaisontj

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.8.0-1focal) focal; urgency=high

  * Correct error message (#320 <https://github.com/ros2/rmw_fastrtps/issues/320>)
  * Return specific error code when node is not found (#311 <https://github.com/ros2/rmw_fastrtps/issues/311>)
  * Correct linter failure (#318 <https://github.com/ros2/rmw_fastrtps/issues/318>)
  * Fix bug in graph API by node (#316 <https://github.com/ros2/rmw_fastrtps/issues/316>)
  * fix method name change from 1.8.1->1.9.0 (#302 <https://github.com/ros2/rmw_fastrtps/issues/302>)
  * Add missing lock guards for discovered_names and discovered_namespaces (#301 <https://github.com/ros2/rmw_fastrtps/issues/301>)
  * Add function for getting clients by node (#293 <https://github.com/ros2/rmw_fastrtps/issues/293>)
  * Enable manual_by_node and node liveliness assertion (#298 <https://github.com/ros2/rmw_fastrtps/issues/298>)
  * Enable assert liveliness on publisher. (#296 <https://github.com/ros2/rmw_fastrtps/issues/296>)
  * Use rcpputils::find_and_replace instead of std::regex_replace (#291 <https://github.com/ros2/rmw_fastrtps/issues/291>)
  * Fix a comparison with a sign mismatch (#288 <https://github.com/ros2/rmw_fastrtps/issues/288>)
  * Implement get_actual_qos() for subscriptions (#287 <https://github.com/ros2/rmw_fastrtps/issues/287>)
  * add missing qos setings in get_actual_qos() (#284 <https://github.com/ros2/rmw_fastrtps/issues/284>)
  * Fix ABBA deadlock.
  * Contributors: Chris Lalancette, Emerson Knapp, Jacob Perron, M. M, Scott K Logan, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.7.3-1focal) focal; urgency=high

  * Protection of discovered_names and discovered_namespaces (#283 <https://github.com/ros2/rmw_fastrtps/issues/283>)
  * Disable all liveliness until it is actually supported (#282 <https://github.com/ros2/rmw_fastrtps/issues/282>)
  * Contributors: Emerson Knapp, MiguelCompany

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.7.2-1focal) focal; urgency=high

  * fix log_debug typo in rmw_count (#279 <https://github.com/ros2/rmw_fastrtps/issues/279>)
  * Fastrtps18 event callbacks policies (#275 <https://github.com/ros2/rmw_fastrtps/issues/275>)
  * Centralize topic name creation logic and update to match FastRTPS 1.8 API (#272 <https://github.com/ros2/rmw_fastrtps/issues/272>)
  * Contributors: 1r0b1n0, Emerson Knapp, Nick Burek

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.7.1-1focal) focal; urgency=high

  * Support arbitrary message namespaces  (#266 <https://github.com/ros2/rmw_fastrtps/issues/266>)
  * Set more correct return values for unimplemented features (#276 <https://github.com/ros2/rmw_fastrtps/issues/276>)
  * Add qos interfaces with no-op (#271 <https://github.com/ros2/rmw_fastrtps/issues/271>)
  * Updates for preallocation API. (#274 <https://github.com/ros2/rmw_fastrtps/issues/274>)
  * Fix logging in rmw_node_info_and_types.cpp (#273 <https://github.com/ros2/rmw_fastrtps/issues/273>)
  * Contributors: Emerson Knapp, Jacob Perron, Michael Carroll, Ross Desmond, Thomas Moulard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.7.0-1focal) focal; urgency=high

  * Thread safety annotation - minimally intrusive first pass (#259 <https://github.com/ros2/rmw_fastrtps/issues/259>)
  * Add function to get publisher actual qos settings (#267 <https://github.com/ros2/rmw_fastrtps/issues/267>)
  * Fixed race condition between taking sample and updating counter. (#264 <https://github.com/ros2/rmw_fastrtps/issues/264>)
  * Fix cpplint error
  * change count type to size_t to avoid warning (#262 <https://github.com/ros2/rmw_fastrtps/issues/262>)
  * update listener logic for accurate counting (#262 <https://github.com/ros2/rmw_fastrtps/issues/262>)
  * Make sure to include the C++ headers used by these headers. (#256 <https://github.com/ros2/rmw_fastrtps/issues/256>)
  * pass context to wait set and fini context (#252 <https://github.com/ros2/rmw_fastrtps/issues/252>)
  * Improve service_is_available logic to protect that client is waiting forever (#238 <https://github.com/ros2/rmw_fastrtps/issues/238>)
  * Merge pull request #250 <https://github.com/ros2/rmw_fastrtps/issues/250> from ros2/support_static_lib
  * use namespace_prefix from shared package
  * make namespace_prefix header public
  * Use empty() to check for an empty string (#247 <https://github.com/ros2/rmw_fastrtps/issues/247>)
  * We can compare a std::string with a const char* using operator==, simplifies the code (#248 <https://github.com/ros2/rmw_fastrtps/issues/248>)
  * Use empty() instead of size() to check if a vector/map contains elements and fixed some incorrect logging (#245 <https://github.com/ros2/rmw_fastrtps/issues/245>)
  * Fix guard condition trigger error (#235 <https://github.com/ros2/rmw_fastrtps/issues/235>)
  * Contributors: Chris Lalancette, Dirk Thomas, DongheeYe, Emerson Knapp, Jacob Perron, Johnny Willemsen, Ricardo González, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.6.1-1focal) focal; urgency=high

  * Add topic cache object for managing topic relations (#236 <https://github.com/ros2/rmw_fastrtps/issues/236>)
  * Fix lint: remove trailing whitespace (#244 <https://github.com/ros2/rmw_fastrtps/issues/244>)
  * Fastrtps 1.7.0 (#233 <https://github.com/ros2/rmw_fastrtps/issues/233>)
  * RMW_FastRTPS configuration from XML only (#243 <https://github.com/ros2/rmw_fastrtps/issues/243>)
  * Methods to retrieve matched counts on pub/sub (#234 <https://github.com/ros2/rmw_fastrtps/issues/234>)
  * use uint8_array (#240 <https://github.com/ros2/rmw_fastrtps/issues/240>)
  * Contributors: Jacob Perron, Juan Carlos, Karsten Knese, Michael Carroll, MiguelCompany, Ross Desmond

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.6.0-1focal) focal; urgency=high

  * use new error handling API from rcutils (#231 <https://github.com/ros2/rmw_fastrtps/issues/231>)
  * Add semicolons to all RCLCPP and RCUTILS macros. (#229 <https://github.com/ros2/rmw_fastrtps/issues/229>)
  * separating identity and permission CAs (#227 <https://github.com/ros2/rmw_fastrtps/issues/227>)
  * Include node namespaces in get_node_names (#224 <https://github.com/ros2/rmw_fastrtps/issues/224>)
  * allow builtin reader/writer to reallocate memory if needed (#221 <https://github.com/ros2/rmw_fastrtps/issues/221>)
  * Improve runtime performance of rmw_count_XXX functions (#216 <https://github.com/ros2/rmw_fastrtps/issues/216>) (#217 <https://github.com/ros2/rmw_fastrtps/issues/217>)
  * Merge pull request #218 <https://github.com/ros2/rmw_fastrtps/issues/218> from ros2/pr203
  * Refs #3061 <https://github.com/ros2/rmw_fastrtps/issues/3061>. Leaving common code only on rmw_fastrtps_shared_cpp.
  * Refs #3061 <https://github.com/ros2/rmw_fastrtps/issues/3061>. Package rmw_fastrtps_cpp copied to rmw_fastrtps_shared_cpp.
  * Contributors: Chris Lalancette, Dirk Thomas, Guillaume Autran, Michael Carroll, Miguel Company, Mikael Arguedas, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.5.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.5.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 23 Jun 2018 00:00:00 -0000

ros-foxy-rmw-fastrtps-shared-cpp (0.4.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Dec 2017 00:00:00 -0000


